<template>
  <div class="content-block">
    <div class="container">
      <div class="acceptance">
        <div class="acceptance__wrapper">
          <div class="acceptance__header">
            <h6 class="acceptance__header-title">Выберите способ получения денег</h6>
          </div>
          <div class="acceptance__content">
            <div v-if="!hideOnMobile" class="acceptance__content-column acceptance__content-left"
                 :class="[checkCardWithSum ? 'acceptance__content-locked' : '']">
              <p class="acceptance__content-select-title">Способ получения</p>
              <withdraw-select></withdraw-select>
              <label for="cardNumber" class="acceptance__content-select-title">Номер карты</label>
              <input id="cardNumber" class="acceptance__content-input"
                     v-mask="'####-####-####-####'"
                     v-model="messyCardNumber"
                     @input="pureCardNumber"
                     placeholder="0000-0000-0000-0000"/>
              <div class="acceptance__content-date-cvc">
                <div class="acceptance__content-date">
                  <label for="cardDate" class="acceptance__content-select-title">Срок действия</label>
                  <input id="cardDate" class="acceptance__content-input"
                         v-mask="'##/##'"
                         v-model="card.date"
                         placeholder="Срок действия"/>
                </div>
                <div class="acceptance__content-cvc">
                  <label for="cvc" class="acceptance__content-select-title">CVC</label>
                  <div class="acceptance__content-info-wrapper">
                    <input id="cvc" class="acceptance__content-input acceptance__content-input-cvc"
                           v-mask="'###'"
                           v-on:input="handlerCVC"
                           placeholder="CVC"/>
                    <div class="acceptance__content-info" v-on:click="handlerShowCVCInfo">
                      <SVGIcon class="acceptance__content-info-button"
                               xlink="qa"
                               viewBox="0 0 45 45"/>
                      <div class="acceptance__cvc-info" v-if="showCVCInfo">
                        <div class="acceptance__cvc-info-wrapper">
                          <div class="acceptance__underside-card">
                            <div class="acceptance__underside-card-magnetic-line"></div>
                            <div class="acceptance__underside-card-cvc-line">321</div>
                          </div>
                          <p class="acceptance__cvc-info-p">Это цифры на обратно стороне карты
                            MasterCard или Visa (последние 3 цифры после номера карты).</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <label for="cardNameHolder" class="acceptance__content-select-title">Имя держителя
                карты</label>
              <input id="cardNameHolder" class="acceptance__content-input"
                     v-mask="''"
                     @input="pureCardHolder"
                     placeholder=""/>
              <button v-if="$interface.viewport === 'mobile' || $interface.viewport === 'tablet'"
                      class="acceptance__mobile-button button red"
                      @click="handlerCardPaymentMobile">Добавить карту
              </button>
              <Checkbox v-if="$interface.viewport === 'mobile' || $interface.viewport === 'tablet'"
                        id="checkbox">
                <template slot="label-slot">Согласен с привязкой карты <a class="link" href="#">и
                  условиями списания</a>.
                </template>
              </Checkbox>
            </div>
            <div v-if="cardPayment === true && checkCardWithSum === false"
                 class="acceptance__content-column acceptance__content-right">
              <div class="acceptance__card"
                   :class="[card.number.length >= 6 ? 'acceptance__card-colored' : '']">
                <div class="acceptance__card-wrapper">
                  <SVGIcon class="acceptance__card-icon"/>
                  <div class="acceptance__card-icon">
                    <SVGIcon v-if="bank.xlink.length > 0"
                             :xlink="bank.xlink"
                             :viewBox="bank.viewBox"/>
                  </div>
                  <div class="acceptance__card-number-1"></div>
                  <div class="acceptance__card-number-2"></div>
                  <div class="acceptance__card-number-3"></div>
                  <div class="acceptance__card-number-4"></div>
                  <div class="acceptance__card-name">{{card.holder}}</div>
                  <div class="acceptance__card-cvc">{{card.cvc}}</div>
                </div>
              </div>
              <p class="acceptance__sub-card-title">Вы можете получить займ прямо на карту в течение 10
                минут. Это cамый быстрый и безопасный способ!</p>
              <button class="acceptance__sub-card-button button red" v-bind:disabled="addCardDisabled">
                Добавить карту
              </button>
              <Checkbox id="checkbox">
                <template slot="label-slot">Согласен с привязкой карты <a class="link" href="#">и
                  условиями списания</a>.
                </template>
              </Checkbox>
            </div>
            <div v-else-if="cardPayment === true && checkCardWithSum === true"
                 class="acceptance__content-column acceptance__content-right">
              <div class="acceptance__check-card-bank-number">
                <SVGIcon class="acceptance__check-bank-mini-icon" xlink="alpha-bank-mini"
                         viewBox="0 0 70 45"/>
                <div class="acceptance__check-card-bank-number-info">
                  <p class="acceptance__check-bank">Альфа-Банк</p>
                  <p class="acceptance__check-card">5521-49**-****-9513</p>
                </div>
              </div>
              <p class="acceptance__check-title">Контрольная сумма</p>
              <input class="acceptance__check-input"/>
              <p class="acceptance__check-description">Чтобы подтвердить, что вы владелец карты, укажите
                небольшую сумму для проверочного снятия. Снятые средства мы тут же вернем вам на
                карту.</p>
              <button class="acceptance__check-button button red">Подтвердить</button>
              <button class="acceptance__check-button acceptance__check-button-link button white">
                Отменить
              </button>
            </div>
          </div>
          <div class="acceptance__footer">
            <div class="acceptance__footer-icons">
              <SVGIcon class="acceptance__footer-icons-icon"
                       v-for="item in footerSecureIcons"
                       :key="item.xlink"
                       :xlink="item.xlink"
                       :viewBox="item.viewBox"/>
            </div>
            <div class="acceptance__footer-secure">
              <SVGIcon class="acceptance__footer-secure-icon"
                       xlink="lock"
                       viewBox="0 0 20 20"/>
              <p class="acceptance__footer-secure-title">Безопасное соединение</p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  import WithdrawSelect from "../Registration/FourthPage/WithdrawSelect";
  import SVGIcon from "./../../components/SVGIcon";
  import Checkbox from "./../../components/Checkbox";

  export default {
    components: {
      Checkbox,
      WithdrawSelect,
      SVGIcon
    },
    data() {
      return {
        hideOnMobile: false,
        cardPayment: false,
        showCVCInfo: false,
        messyCardNumber: '',
        checkCardWithSum: false,
        bank: {
          viewBox: '0 0 101 30',
          xlink: 'alpha-bank-full'
        },
        card: {
          number: [],
          date: '',
          holder: '',
          cvc: '',
        },
        addCardDisabled: true,
        footerSecureIcons: [{
          xlink: 'verified-by-visa',
          viewBox: '0 0 65 40'
        }, {
          xlink: 'master-card-secure-code',
          viewBox: '0 0 85 40'
        }, {
          xlink: 'mir-accept',
          viewBox: '0 0 75 40'
        }, {
          xlink: 'pci-dss',
          viewBox: '0 0 80 40'
        }]
      }
    },
    methods: {
      handlerCardPaymentMobile() {
        this.hideOnMobile = true;
        this.cardPayment = true;
        this.checkCardWithSum = true;
      },
      pureCardNumber() {
        this.card.number = this.messyCardNumber.replace(/[^\w\s]/g, '').split('');
      },
      pureCardHolder(event) {
        this.card.holder = event.target.value;
      },
      handlerCVC(event) {
        this.card.cvc = event.target.value;
      },
      handlerShowCVCInfo() {
        if (this.showCVCInfo) {
          this.showCVCInfo = false;
        } else {
          this.showCVCInfo = true;
        }
      }
    }
  }
</script>
